[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Using APACHE_2_0_BRANCH not HEAD was Re: recent apr change?

From: Karl Fogel <kfogel_at_newton.ch.collab.net>
Date: 2003-01-06 22:38:38 CET

John Barstow <John_Barstow@gfsg.co.nz> writes:
> In other words, I can justify the bandwidth cost of downloading Apache
> 2.0.44, because it's a new, official release that subversion requires. I
> *cannot* justifying sync'ing to the Apache HEAD at regular intervals, even
> for major bugfixes. I'm already the biggest bandwidth hog in the company as
> it is.
>
> Just a note from an individual in a small island nation with limited
> bandwidth.

There are going to be occasional race conditions between Subversion
and httpd/apr/aprutil between and 1.0; we try to avoid them, but
sometimes it would impede development quite a bit. For example, issue
#872 has been outstanding for ages now -- Brane's work on it is what
pushed us into bleeding edge land, but no way would it be a good
bargain for us to delay that work, it's too important.

Luckily, this is a minor release (0.16.1), maybe you can just wait
until 0.17 to upgrade?

We'll do our best to minimize the frequency of such releases, but no
guarantees :-(.

-K

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Mon Jan 6 23:23:31 2003

This is an archived mail posted to the Subversion Dev mailing list.